Skip to main content
POST
/
customers
/
session
Create customer or guest session
curl --request POST \
  --url https://api.zenskar.com/customers/session \
  --header 'Content-Type: application/json' \
  --header 'organisation: <api-key>' \
  --header 'x-api-key: <api-key>' \
  --data '
{
  "return_url": "<string>",
  "customer_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "is_guest_session": true,
  "idle_timeout": 3600,
  "session_key": "<string>"
}
'
{
  "redirect_url": "<string>",
  "session_token": "<string>",
  "is_guest_session": true
}

Documentation Index

Fetch the complete documentation index at: https://docs2.zenskar.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

x-api-key
string
header
default:<your-api-key>
required
organisation
string
header
default:<your-organisation-id>
required

Body

application/json

Create Session Request Schema

return_url
string
required

Return URL

customer_id
string<uuid> | null

Customer Id (required for customer sessions, must be None for guest sessions)

is_guest_session
boolean | null

Set to True to create a guest session

idle_timeout
integer | null
default:3600

Idle Timeout in Seconds

session_key
string | null

Session Key

Response

Successful Response

Customer Session Response Schema

redirect_url
string
required

URL to which the user should be redirected after the session is created or expires. This is usually the destination in the organisation's portal for follow-up steps.

session_token
string
required

Opaque token representing the current session. Use this token to authenticate session-specific requests.

is_guest_session
boolean
required

Indicates if this session was created as a guest session (True for guests, False for registered customers).